Subject: [AAA-WG]: [issue] Problem with removing Route-Record AVPs

From: David Spence <[email-masked]>
Date: Tue, 24 Jul 2001 23:47:28 -0700

Subject: [issue] Problem with removing Route-Record AVPs

Submitter name:  David Spence
Submitter email address:  [email-masked]
Date first submitted:  July 24, 2001
Reference: http://www.merit.edu/mail.archives/aaa-wg/msg01594.html
Document: Base
Comment type: T
Priority: S
Section: 6.3 and 6.1.9
Rationale/Explanation of issue:

  If a proxy or relay agent hides the topology by removing the Route-Record
  AVPs, how does a home-server produce the list of Source-Route
  AVPs which he needs to subsequently send a reverse-request?
  
  Pertinent sections of draft-ietf-aaa-diameter-07.txt follow:
     
      6.1.9  Relaying and Proxying Server-Initiated Requests
   
      Server-initiated messages MUST include the Source-Route AVPs, whose
      contents are identical to the Record-Route AVPs received in requests
      from the access device for the given session, but in the reverse
      order. 
   
      6.3  Hiding Network Topology
   
      A Relay or Proxy agent routing messages outside of their
      administrative domain MAY need to hide the internal Diameter
      topology. This is done by removing all Route-Record AVPs in a
      request.

  Another problem with removing Route-Record AVPs is that it can prevent
  loop detection from working properly.

Requested change:

  Delete section 6.3.  Or because this section has been here for a while,
  it may be safer to change 6.3 to state that an agent MUST NOT remove 
  Route-Record AVPs.

-- 
David Spence                            email: [email-masked]
Interlink Networks, Inc.                phone: (734) 821-1203
775 Technology Drive, Suite 200         fax:   (734) 821-1235
Ann Arbor, MI 48108           
U.S.A.